"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class StructuralVariantType(object):
    """
    Type of structural variation <ul> <li>COPY_NUMBER_GAIN for CNVs</li>
    <li>COPY_NUMBER_LOSS for CNVs</li> <li>TANDEM_DUPLICATION for
    DUP</li> </ul>
    """

    COPY_NUMBER_GAIN = "COPY_NUMBER_GAIN"
    COPY_NUMBER_LOSS = "COPY_NUMBER_LOSS"
    TANDEM_DUPLICATION = "TANDEM_DUPLICATION"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.3.0-SNAPSHOT"
